using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.ServiceModel.Web;// pour webget

using System.Text;
using DAO_GSB;

namespace WcfService_GSB
{
    [ServiceContract]
    public interface IServiceMedecin
    {
        [OperationContract ]
      
        List<medecin> getMedecinsParDep(int numDepartement);
        [OperationContract]
        List<medecin> getMedecinsParNom(string nom);
        [OperationContract]
        List<int> lesDepartements();
        [OperationContract (IsOneWay=true) ]
        void ajouterMedecin(string nom, string prenom, string adresse, string ville,
            string specialite, string telephone, int numDepartement);
    }
}
